Skip to main content
GET
/
v1
/
report
/
insight
/
cwv
/report/insight/cwv
curl --request GET \
  --url https://api.tagdeliver.com/v1/report/insight/cwv \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tagdeliver.com/v1/report/insight/cwv"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tagdeliver.com/v1/report/insight/cwv', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "results": {
    "dates": [
      "2025-11-17",
      "2025-11-18",
      "2025-11-19",
      "2025-11-20",
      "2025-11-21",
      "2025-11-22",
      "2025-11-23"
    ],
    "lcp_50th": [
      1375.300000001,
      1396,
      1372,
      1328,
      1356,
      1400,
      1388
    ],
    "lcp_nar_50th": [
      1288,
      1594,
      1172,
      1560,
      1472,
      1524,
      1624
    ],
    "lcp_nhb_50th": [
      1600,
      1520,
      1260,
      1096,
      1266,
      1300,
      1484
    ],
    "lcp_nex_50th": [
      1572,
      1196,
      1440,
      1520,
      1540,
      1242,
      1488
    ],
    "inp_50th": [
      159.792207792,
      163.775280899,
      168.5,
      165.75,
      163.854014599,
      167.483870968,
      161.333333333
    ],
    "inp_nar_50th": [
      186,
      223,
      155.470588235,
      151.574468085,
      159.483870968,
      232,
      225.844210527
    ],
    "inp_nhb_50th": [
      178.861313869,
      169.065107213,
      143.755102041,
      146.114285714,
      160,
      182.181818182,
      136.666666667
    ],
    "inp_nex_50th": [
      192,
      157.415384615,
      178.042553191,
      159.507692308,
      149.343065694,
      140.52173913,
      136
    ],
    "cls_50th": [
      0.001194675,
      0.000500568,
      0,
      0,
      0,
      0,
      0
    ],
    "cls_nar_50th": [
      0.008585128,
      0,
      0,
      0.000307185,
      0,
      0,
      0
    ],
    "cls_nhb_50th": [
      0.00323058,
      0,
      0,
      0,
      0,
      0,
      0
    ],
    "cls_nex_50th": [
      0,
      0,
      0,
      0,
      0,
      0,
      0
    ],
    "fcp_50th": [
      1096,
      1126,
      1125,
      1100,
      1108,
      1112,
      1100
    ],
    "fcp_nar_50th": [
      1020,
      1432,
      1000,
      1323,
      1132,
      1309.5,
      1186
    ],
    "fcp_nhb_50th": [
      1062,
      1229,
      929.25,
      1096,
      1214,
      1026,
      1123
    ],
    "fcp_nex_50th": [
      1166,
      1064,
      1012,
      1316,
      1150,
      1064,
      1072
    ]
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

uid
integer

Publisher ID

range
enum<string>

Date range. All ranges exclude today and run up to yesterday

Available options:
custom,
all_time,
seven_days,
fourteen_days,
thirty_days,
three_months,
six_months,
week_to_date,
month_to_date,
quarter_to_date,
year_to_date,
last_week,
last_month,
last_quarter,
last_year,
month_on_month,
quarter_on_quarter,
yesterday
start
string<date>

Start date when range=custom

end
string<date>

End date when range=custom

date_group
enum<string>
default:day

Date grouping when range=custom

Available options:
day,
month,
year

Response

200 - application/json
results
object
required
success
boolean
required